USRP Hardware Driver and USRP Manual: uhd::rfnoc::stream_cmd_action_info Struct Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::rfnoc::stream_cmd_action_info Struct Reference

`#include <uhd/rfnoc/actions.hpp>`

Inheritance diagram for uhd::rfnoc::stream_cmd_action_info:

## Public Types
using | sptr = std::shared_ptr<stream_cmd_action_info>
Public Types inherited from uhd::rfnoc::action_info
using | sptr = std::shared_ptr<action_info>

## Static Public Member Functions
static sptr | make (const uhd::stream_cmd_t::stream_mode_t stream_mode)
| Factory function.
Static Public Member Functions inherited from uhd::rfnoc::action_info
static sptr | make (const std::string &key="", const uhd::device_addr_t &args=uhd::device_addr_t(""))
| Factory function.

## Public Attributes
uhd::stream_cmd_t | stream_cmd
Public Attributes inherited from uhd::rfnoc::action_info
const size_t | id
| A unique counter for this action.
std::string | key
| A string identifier for this action.
std::vector< uint8_t > | payload
| An arbitrary payload. It is up to consumers and producers to.
uhd::device_addr_t | args
| A dictionary of key-value pairs. May be used as desired.

## Additional Inherited Members
Public Member Functions inherited from uhd::rfnoc::action_info
virtual | ~action_info ()
Protected Member Functions inherited from uhd::rfnoc::action_info
| action_info (const std::string &key, const uhd::device_addr_t &args=uhd::device_addr_t(""))

## Member Typedef Documentation

## ◆ sptr

using uhd::rfnoc::stream_cmd_action_info::sptr = std::shared_ptr<stream_cmd_action_info>

## Member Function Documentation

## ◆ make()

sptr uhd::rfnoc::stream_cmd_action_info::make | ( | const uhd::stream_cmd_t::stream_mode_t | stream_mode | ) |
| static

Factory function.

## Member Data Documentation

## ◆ stream_cmd

uhd::stream_cmd_t uhd::rfnoc::stream_cmd_action_info::stream_cmd

The documentation for this struct was generated from the following file:

- actions.hpp